IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_BD_MATCH_PARAM') 
CREATE TABLE T_RECEIPT_BD_MATCH_PARAM
(
    FID            BIGINT                  NOT NULL
        PRIMARY KEY,
    FNUMBER        VARCHAR(30) DEFAULT ' ' NOT NULL,
    FSTATUS        VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID     BIGINT                  NULL,
    FMODIFIERID    BIGINT                  NULL,
    FENABLE        VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATETIME    DATETIME                NULL,
    FMODIFYTIME    DATETIME                NULL,
    FMASTERID      BIGINT                  NULL,
    FDETAIL_PARAM  VARCHAR(50) DEFAULT ' ' NOT NULL,
    FRECEIPT_PARAM VARCHAR(50) DEFAULT ' ' NOT NULL,
    FREF_ID        VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_BD_MATCH_PARAM_L') 
CREATE TABLE T_RECEIPT_BD_MATCH_PARAM_L
(
    FPKID     VARCHAR(36)             NOT NULL
        PRIMARY KEY,
    FID       BIGINT                  NOT NULL,
    FLOCALEID VARCHAR(10)             NOT NULL,
    FNAME     VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_BD_MATCH_PARAM_R3') 
CREATE TABLE T_RECEIPT_BD_MATCH_PARAM_R3
(
    FID BIGINT DEFAULT 0   NOT NULL
        PRIMARY KEY,
    FREFSTATUS CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_BD_MATCH_RULE') 
CREATE TABLE T_RECEIPT_BD_MATCH_RULE
(
    FID           BIGINT                  NOT NULL
        PRIMARY KEY,
    FNUMBER       VARCHAR(30) DEFAULT ' ' NOT NULL,
    FSTATUS       VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID    BIGINT                  NULL,
    FMODIFIERID   BIGINT                  NULL,
    FENABLE       VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATETIME   DATETIME                NULL,
    FMODIFYTIME   DATETIME                NULL,
    FMASTERID     BIGINT                  NULL,
    FMATCH_RULE   VARCHAR(500) DEFAULT ' ' NOT NULL,
    FBANK_VERSION VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_BD_MATCH_RULE_L') 
CREATE TABLE T_RECEIPT_BD_MATCH_RULE_L
(
    FPKID     VARCHAR(36)             NOT NULL
        PRIMARY KEY,
    FID       BIGINT                  NOT NULL,
    FLOCALEID VARCHAR(10)             NOT NULL,
    FNAME     VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_BD_MATCH_RULE_R3') 
CREATE TABLE T_RECEIPT_BD_MATCH_RULE_R3
(
    FID        BIGINT DEFAULT 0   NOT NULL
        PRIMARY KEY,
    FREFSTATUS CHAR(1)   DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_DETAIL') 
CREATE TABLE T_RECEIPT_DETAIL
(
    FID                 BIGINT                    NOT NULL
        PRIMARY KEY,
    FBILLNO             VARCHAR(30)   DEFAULT ' ' NOT NULL,
    FBILLSTATUS         VARCHAR(50)   DEFAULT ' ' NOT NULL,
    FCREATORID          BIGINT                    NULL,
    FMODIFIERID         BIGINT                    NULL,
    FAUDITORID          BIGINT                    NULL,
    FAUDITDATE          DATETIME                  NULL,
    FMODIFYTIME         DATETIME                  NULL,
    FCREATETIME         DATETIME                  NULL,
    FBANK_FILE_PATH     VARCHAR(400)  DEFAULT ' ' NOT NULL,
    FACC_NO             BIGINT                    NULL,
    FCUSTOM_ID          VARCHAR(50)   DEFAULT ' ' NOT NULL,
    FCOMPLETE_TIME      DATETIME                  NULL,
    FDETAIL_NO          VARCHAR(400)  DEFAULT ' ' NOT NULL,
    FDETAIL_ID          VARCHAR(50)   DEFAULT ' ' NOT NULL,
    FMD5                VARCHAR(255)  DEFAULT ' ' NOT NULL,
    FMD5_TAG            NCLOB                  NULL,
    FQUERY_FLAG         VARCHAR(50)   DEFAULT ' ' NOT NULL,
    FREFID              VARCHAR(50)   DEFAULT ' ' NOT NULL,
    FUPLOAD_FLAG        VARCHAR(50)   DEFAULT ' ' NOT NULL,
    FUPLOAD_REDO        BIGINT                    NULL,
    FUPLOAD_EXP_MSG     VARCHAR(255)  DEFAULT ' ' NOT NULL,
    FUPLOAD_EXP_MSG_TAG NCLOB                  NULL,
    FEXP_MSG            VARCHAR(400)  DEFAULT ' ' NOT NULL,
    FTRANS_DATE         DATETIME                  NULL,
    FMATCH_FLAG         VARCHAR(50)   DEFAULT ' ' NOT NULL,
    FBANK_VERSION       BIGINT                    NULL,
    FBANK_LOGIN         BIGINT                    NULL,
    FSTATUS             VARCHAR(50)   DEFAULT ' ' NOT NULL,
    FFILE_NAME          VARCHAR(400)  DEFAULT ' ' NOT NULL,
    FUPLOAD_FILE_NAME   VARCHAR(400)  DEFAULT ' ' NOT NULL,
    FFILE_LINK          VARCHAR(400)  DEFAULT ' ' NOT NULL,
    FUPLOAD_TIME        DATETIME                  NULL,
    FOFD_JSON           VARCHAR(2000) DEFAULT ' ' NOT NULL,
    constraint IDX_RECEIPT_TASK_D_PK unique (fdetail_no)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_DOWNLOAD_TASK') 
CREATE TABLE T_RECEIPT_DOWNLOAD_TASK
(
    FID            BIGINT                   NOT NULL
        PRIMARY KEY,
    FBILLNO        VARCHAR(30)  DEFAULT ' ' NOT NULL,
    FBILLSTATUS    VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FCREATORID     BIGINT                   NULL,
    FMODIFIERID    BIGINT                   NULL,
    FAUDITORID     BIGINT                   NULL,
    FAUDITDATE     DATETIME                 NULL,
    FMODIFYTIME    DATETIME                 NULL,
    FCREATETIME    DATETIME                 NULL,
    FACC_NO        BIGINT                   NULL,
    FBANK_LOGIN    BIGINT                   NULL,
    FBANK_VERSION  BIGINT                   NULL,
    FCUSTOM_ID     VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FEXP_MSG       VARCHAR(255) DEFAULT ' ' NOT NULL,
    FEXP_MSG_TAG   NCLOB                 NULL,
    FMATCH_NUM     BIGINT  DEFAULT 0 NOT NULL,
    FDETAIL_NUM    BIGINT  DEFAULT 0 NOT NULL,
    FREDO          BIGINT                   NULL,
    FTRANS_DATE    DATETIME                 NULL,
    FTODAYS_FLAG   VARCHAR(50)  DEFAULT '0' NULL,
    FBATCH_NO      VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FSTATUS        VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FCOMPLETE_TIME DATETIME                 NULL,
    FRECEIPT_NUM   BIGINT  DEFAULT 0 NOT NULL,
    FUPLOAD_NUM    BIGINT  DEFAULT 0 NOT NULL,
    FUPLOAD_FLAG   VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FDETAIL_FLAG   VARCHAR(50)  DEFAULT ' ' NOT NULL,
    constraint t_receipt_download_task_pk unique (facc_no, ftrans_date, fbank_login, fbank_version)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_ENCODEMAPPING_R2') 
CREATE TABLE T_RECEIPT_ENCODEMAPPING_R2
(
    FID        BIGINT DEFAULT 0   NOT NULL
        PRIMARY KEY,
    FREFSTATUS CHAR(1)   DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_ENCODEMAPPING_R3') 
CREATE TABLE T_RECEIPT_ENCODEMAPPING_R3
(
    FID        BIGINT DEFAULT 0   NOT NULL
        PRIMARY KEY,
    FREFSTATUS CHAR(1)   DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_INFO') 
CREATE TABLE T_RECEIPT_INFO
(
    FID               BIGINT                  NOT NULL
        PRIMARY KEY,
    FBILLNO           VARCHAR(30) DEFAULT ' ' NOT NULL,
    FBILLSTATUS       VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID        BIGINT                  NULL,
    FMODIFIERID       BIGINT                  NULL,
    FAUDITORID        BIGINT                  NULL,
    FAUDITDATE        DATETIME                NULL,
    FMODIFYTIME       DATETIME                NULL,
    FCREATETIME       DATETIME                NULL,
    FCUSTOM_ID        VARCHAR(50) DEFAULT ' ' NOT NULL,
    FBANK_VERSION     BIGINT                  NULL,
    FTASK_NUM         BIGINT                  NULL,
    FCOMPELETED_FLAG  VARCHAR(50) DEFAULT ' ' NOT NULL,
    FFILE_NUM         BIGINT                  NULL,
    FTRANS_DATE       DATETIME                NULL,
    FBATCH_NO         VARCHAR(50) DEFAULT ' ' NOT NULL,
    FRECEIPT_ACNT_NUM BIGINT                  NULL,
    FNEED_CREATE_NUM  BIGINT                  NULL,
    constraint IDX_RECEIPT_INFO_PK unique (ftrans_date, fbank_version)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_JSON') 
CREATE TABLE T_RECEIPT_JSON
(
    FID                BIGINT                   NOT NULL
        PRIMARY KEY,
    FBILLNO            VARCHAR(30)  DEFAULT ' ' NOT NULL,
    FBILLSTATUS        VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FCREATORID         BIGINT                   NULL,
    FMODIFIERID        BIGINT                   NULL,
    FAUDITORID         BIGINT                   NULL,
    FAUDITDATE         DATETIME                 NULL,
    FMODIFYTIME        DATETIME                 NULL,
    FCREATETIME        DATETIME                 NULL,
    FCUSTOM_ID         VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FRECEIPT_DETAIL_ID VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FJSON              VARCHAR(255) DEFAULT ' ' NOT NULL,
    FJSON_TAG          NCLOB                 NULL,
    FBANK_VERSION      BIGINT                   NULL,
    constraint IDX_RECEIPT_JSON_PK unique (freceipt_detail_id)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_STATISTICS') 
CREATE TABLE T_RECEIPT_STATISTICS
(
    FID                BIGINT                  NOT NULL
        PRIMARY KEY,
    FBILLNO            VARCHAR(30) DEFAULT ' ' NOT NULL,
    FBILLSTATUS        VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID         BIGINT                  NULL,
    FMODIFIERID        BIGINT                  NULL,
    FAUDITORID         BIGINT                  NULL,
    FAUDITDATE         DATETIME                NULL,
    FMODIFYTIME        DATETIME                NULL,
    FCREATETIME        DATETIME                NULL,
    FBANK_VERSION      BIGINT                  NULL,
    TRANS_DATE         DATETIME                NULL,
    FRECEIPT_NUM       BIGINT                  NULL,
    FDETAIL_NUM        BIGINT                  NULL,
    FMATCH_NUM         BIGINT                  NULL,
    FCOMPLETE_PC       VARCHAR(50) DEFAULT ' ' NOT NULL,
    FMATCH_PC          VARCHAR(50) DEFAULT ' ' NOT NULL,
    FBANK_VERSION_NAME VARCHAR(50) DEFAULT ' ' NOT NULL,
    FUPLOAD_NUM        BIGINT                  NULL,
    FUPLOAD_PC         VARCHAR(50) DEFAULT ' ' NOT NULL,
    FBANK_LOGIN        BIGINT                  NULL,
    FACC_NO            BIGINT                  NULL,
    FACCNO             VARCHAR(50) DEFAULT ' ' NOT NULL,
    FTRANS_MONTH       VARCHAR(50) DEFAULT ' ' NOT NULL,
    FTRANS_DATE        DATETIME                NULL,
    FBANK_LOGIN_NAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


